Bug 152681 - mod_python: denial of service vulnerability.
mod_python: denial of service vulnerability.
Status: CLOSED CURRENTRELEASE
Product: Fedora Legacy
Classification: Retired
Component: Package request (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
http://www.modpython.org/
LEGACY, QA, rh73
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-26 00:55 EST by David Lawrence
Modified: 2014-01-21 17:51 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2005-03-30 18:23:47 EST
A bug has been found in mod_python versions 3.0.3 and earlier that can
lead to a denial of service vulnerability. The Common Vulnerabilities and
Exposures project (cve.mitre.org) has assigned the name CAN-2003-0973 to
this issue.

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2003-0973
http://www.modpython.org/pipermail/mod_python/2003-November/014532.html
https://rhn.redhat.com/errata/RHSA-2004-063.html



------- Additional Comments From jonny.strom@netikka.fi 2004-03-04 22:40:04 ----

Backport of CAN-2003-0973 for Redhat 7.3 is avalible at:

http://av8.netikka.fi/~johnny/fedora_legacy/rh73/

http://213.250.83.8/~johnny/fedora_legacy/rh73/mod_python-2.7.8-1.7.3.1.legacy.i386.rpm
020257f5947993baca42c2d1c75d2247 
http://213.250.83.8/~johnny/fedora_legacy/rh73/mod_python-2.7.8-1.7.3.1.legacy.src.rpm
cd76e66cc9b279bda0a9d87663e285e5 
http://213.250.83.8/~johnny/fedora_legacy/rh73/mod_python-CAN-2003-0973.patch
fb94eb93cd48aedb3bb70da444944f3d 

Note I have not tested this backport but it was easy to do, so can someone else
test it and give feedback.



------- Additional Comments From bugs.michael@gmx.net 2004-03-11 18:57:40 ----

patch in rh73 src.rpm differs from patch in RHEL 2.1 erratum, not just in line
offsets




------- Additional Comments From jonny.strom@netikka.fi 2004-03-11 21:49:34 ----

The mod_python-CAN-2003-0973.patch was originaly from Redhat 9.
I have just compared with the original Redhat 9 patch again and they are
identical at least I can't se any differnes. Perhaps the RHEL 2.1 erratum patch
is different for some reson. 



------- Additional Comments From bugs.michael@gmx.net 2004-03-12 18:09:49 ----

erratum for RHEL 2.1 is mod_python-2.7.8-2.src.rpm 
rh73 comes with mod_python-2.7.8-1.src.rpm
erratum for rh9 is mod_python-3.0.1-4.src.rpm

how big is the code difference between 2.7.8 and 3.0.1?



------- Additional Comments From jonny.strom@netikka.fi 2004-05-01 00:02:29 ----

A new backport of the CAN-2003-0973 fix for Redhat 7.3 have been done based on 
the mod_python-2.7.8-2 from Red Hat Enterprise Linux 2.1:

The patch and the rpm's can be downloaded from here:

http://av8.netikka.fi/~johnny/fedora_legacy/rh73/

http://213.250.83.8/~johnny/fedora_legacy/rh73/mod_python-2.7.8-1.7.3.2.legacy.i386.rpm
a3930f06120d4f05f32e62715ccdd866

http://213.250.83.8/~johnny/fedora_legacy/rh73/mod_python-2.7.8-1.7.3.2.legacy.src.rpm
b58b06f45776fdb4247729724dc0d1db

http://213.250.83.8/~johnny/fedora_legacy/rh73/mod_python-CAN-2003-0973.patch
f8521e21c5d68412e93639a11e48cb87

Note the old rpm's and patch have been removed!

This new backport was done becouse of the feedback from Michael Schwendt,
please test this new version now!




------- Additional Comments From jkeating@j2solutions.net 2004-05-18 18:19:30 ----

RHL 7.2 and RHL 7.3 updates both use the same version of mod_python, so Johnny's
packages in comment #5 will work for those.  Johnny, the patch from RHL9 should
apply to RHL8's mod_python no?  Can you provide a package for this?  If not, I
will.  We really need to get some people to verify this so that we can push to
updates-testing.



------- Additional Comments From jkeating@j2solutions.net 2004-05-31 11:55:04 ----

Pushed to updates-testing.

  http://download.fedoralegacy.org/redhat/
 
49aa1436fc8982e616b5957554485e278d772f9b 
7.3/updates-testing/SRPMS/mod_python-2.7.8-1.7.3.2.legacy.src.rpm
1cb0e3eccd14fbfb220bf26259b509ff17ed9eec 
7.3/updates-testing/i386/mod_python-2.7.8-1.7.3.2.legacy.i386.rpm



------- Additional Comments From ckelley@ibnads.com 2004-09-14 06:34:01 ----

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1
 
49aa1436fc8982e616b5957554485e278d772f9b  mod_python-2.7.8-1.7.3.2.legacy.src.rpm
 
Package builds fine
 
1cb0e3eccd14fbfb220bf26259b509ff17ed9eec  mod_python-2.7.8-1.7.3.2.legacy.i386.rpm
 
Package installs shared apache module
 
VERIFY
 
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)
 
iD8DBQFBRx1qyQ+yTHz+jJkRAlswAJ9r4BzcsqVms/nFVNiwDcoaDR0lsACeJ/Ua
xyOr9xqzEhzt7JfIH6zEQtc=
=Qvt3
-----END PGP SIGNATURE-----





------- Additional Comments From dom@earth.li 2004-10-02 04:48:43 ----

I will release this tonight:
http://www-astro.physics.ox.ac.uk/~dom/legacy/advisories/1325-mod_python-draft.txt



------- Additional Comments From marcdeslauriers@videotron.ca 2005-02-10 13:46:58 ----

These were released



------- Bug moved to this database by dkl@redhat.com 2005-03-30 18:23 -------

This bug previously known as bug 1325 at https://bugzilla.fedora.us/
https://bugzilla.fedora.us/show_bug.cgi?id=1325
Originally filed under the Fedora Legacy product and Package request component.

Unknown priority P2. Setting to default priority "normal".
Unknown platform PC. Setting to default platform "All".
Unknown severity major. Setting to default severity "normal".
The original reporter of this bug does not have
   an account here. Reassigning to the person who moved
   it here, dkl@redhat.com.
   Previous reporter was jonny.strom@netikka.fi.
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.


Note You need to log in before you can comment on or make changes to this bug.